.main {
    display:grid;
    grid-template-columns: 1fr ;
    grid-template-rows: 1fr 1fr 1fr;
    width: 80%;
    background-color: #F4F4F4;
    grid-gap: 3px;
    margin:auto;
    height:350px;
    align-items: center;
    justify-content: center;
    grid-template-areas:
            'header '
            'registration'
            'text';
}
.header {
    display:grid;
    background-color: rgb(181, 199, 226);
}
.registration {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr ;
    grid-template-rows: 1fr 1fr 1fr;
    opacity:0.8;
    padding: 15px;
    grid-template-areas:
            'label input input'
            'label input input'
            'space button link';
}
.top {
    background-color: #c8dde7;
    margin:10px;
    border-radius:5px;
}
button {
    border-radius: 8px;
    width:80%;
    color:white;
    background-color: rgb(76, 116, 175);
    border: 1px solid  rgb(76, 116, 175);
    cursor: pointer;
    padding: 10px 0;
    font-size: 15px;
}
.text {
    display:grid;
    grid-template-columns: 1fr 1f;
    grid-template-rows: 1fr;
    padding: 5px;
    grid-template-areas:
            'left right'
}
.registration>label{
    display:grid;
    grid-column:label;
    grid-row:auto;
    margin: 20px;
}
.registration>input[type='text'],input[type='password']{
    display:grid;
    grid-column:input;
    grid-row: auto;
    border-radius: 5px;
    margin: 10px;
}
button:hover {
    opacity: 0.8;
    transition: 5s;
}

@media(max-width: 500px) {
    .registration {
        display:grid;
        height:200px;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr 1fr 1fr ;
        opacity:0.8;
        grid-template-areas:
                'label label label'
                'input input input'
                'label label label'
                'input input input'
                'space button link';
    }
    .registration>label{
        display:grid;
        grid-column:label;
        grid-row:auto;
        width:100%;
    }
    .registration>input[type='text'],input[type='password']{
        display:grid;
        grid-column:input;
        grid-row: auto;
        border-radius: 5px;
        width:100%;
    }
}